{
  "extends": [
    "eslint:recommended",
    "plugin:import/react",
    "plugin:react/recommended",
    "plugin:security/recommended",
    "plugin:jsx-a11y/recommended",
    "plugin:import/typescript",
    "prettier"
  ],
  "plugins": [
    "react",
    "import",
    "jsx-a11y",
    "react-hooks",
    "@typescript-eslint"
  ],
  "overrides": [
    {
      "files": ["__tests__/**"],
      "plugins": ["jest"],
      "extends": ["plugin:jest/recommended"]
    }
  ],
  "rules": {
    "react/prop-types": "off",
    "no-unused-vars": "warn",
    "react-hooks/rules-of-hooks": "error", // Checks rules of Hooks
    "react-hooks/exhaustive-deps": "warn", // Checks effect dependencies
    "security/detect-object-injection": "off",
    "import/order": [
      "warn",
      {
        "groups": [
          "builtin",
          "external",
          "internal"
        ],
        "pathGroups": [
          {
            "pattern": "@/components/**",
            "group": "internal"
          }
        ],
        "pathGroupsExcludedImportTypes": [
          "builtin"
        ],
        "newlines-between": "always",
        "alphabetize": {
          "order": "asc",
          "caseInsensitive": true
        }
      }
    ],
    "no-trailing-spaces": "error"
  },
  "parser": "@typescript-eslint/parser",
  "parserOptions": {
    "ecmaVersion": 2021,
    "sourceType": "module",
    "ecmaFeatures": {
      "jsx": true
    }
  },
  "env": {
    "es6": true,
    "browser": true,
    "node": true
  },
  "settings": {
    "react": {
      "version": "detect"
    },
    "import/parsers": {
      "@typescript-eslint/parser": [".js", ".jsx", ".ts", ".tsx"]
    }
  }
}
